<div class="new-organization-container" *ngIf="loading">
  <div class="close" (click)="closeDialog()"></div>
  <h2>{{ 'newOrganization.new' | translate }}</h2>
  <form [formGroup]="form" (ngSubmit)="onSubmit()" class="user-form">
    <mat-form-field>
      <input
        matInput
        required
        placeholder="{{ 'newOrganization.name' | translate }}"
        [(ngModel)]="this.data.name"
        [ngModelOptions]="{ standalone: true }"
      />
    </mat-form-field>
    <mat-form-field>
      <input
        matInput
        required
        placeholder="{{ 'newOrganization.description' | translate }}"
        [ngModelOptions]="{ standalone: true }"
        [(ngModel)]="this.data.description"
      />
    </mat-form-field>

    <!-- TODO add logo
    <div class="buttons-next-to-each-other">
      <button class="half-space" mat-raised-button color="primary"(click)="inputFile.click()">Import New Logo</button> {{ inputFile.value }}
      <input #inputFile type="file" [style.display]="'none'">
      <button class="half-space" mat-raised-button color="primary" (click)="loadDefaultLogo()">Use Default Logo</button>
    </div>
    <div class="icon-space">
      <img rel="icon" type="image/x-icon" [src]="this.logoURL"/>
    </div>
    -->
    <div class="new-organization-button">
      <button
        class="pill-button"
        type="submit"
        mat-raised-button
        color="primary"
        (click)="onSubmit()"
        [disabled]="!this.data.description || !this.data.name"
      >
        {{ 'newOrganization.create' | translate }}
      </button>
    </div>
  </form>
</div>
